#ifndef __MODULE_H__
#define __MODULE_H__

class Module
{
	private:
		void * handle;
	public:
		static Module * load(const char *);
		static bool unload(Module *);
	public:
		virtual const char * name() = 0;
};

extern "C" Module * create_module(void);

#endif

